<?php

	# mark core  v1.0
    # author Drk in
	# date 24.10.19 	

	# core

	require_once ( $_SERVER['DOCUMENT_ROOT']."/_core/system.php" );

	# user

	system::access(true);

	# meta

	$title = 'Мой кабинет » Мобильные WAP сайты';
	$description = system::check($config['description']);
	$keywords = system::check($config['keywords']);
	$tl = 'Новый запрос';

	# post

	if (isset($_POST['CFMS'])): 

	$name  		= system::check($_POST['name']);		
	$message  	= system::check($_POST['message']);	
	$cat  		= system::abs($_POST['cat']);
	$CK  		= system::check($_POST['CK']);	

	$check = DB :: $dbh -> querySingle("SELECT id FROM tk WHERE lower(name) = ? AND user = ? LIMIT 1;", array(strtolower($name),$user['id']));	

	if (empty($check)):
	if (system::utf_strlen($name) > 5 && system::utf_strlen($name)	< 51):	
	if (system::utf_strlen($message) > 5 && system::utf_strlen($message)	< 501):	
	if (cache_tkcat::ch($cat) == true):
	if ($user['CK'] == $CK):
	
	DB :: $dbh -> query("INSERT INTO tk (name,message,cat,time,user)VALUES (?,?,?,?,?);",array($name,$message,$cat,time(),$user['id']));
		
	$id = DB :: $dbh -> lastInsertId();	
	
	cache_tk::save($id);	

	system::header('/office/tk','Успешно, ожидайте ответа администрации',1);		
		
	# error
	
	else: system::header('?','Ошибка, возможно вам подкинули эту ссылку'); endif;
	else: system::header('?','Не верно выбрана категория'); endif;
	else: system::header('?','Описание от 5 до 500 символов'); endif;
	else: system::header('?','Тема от 5 до 50 символов'); endif;
	else: system::header('?','Ошибка, название темы уже есть такое у вас'); endif;

	endif;	

	# head

	require_once ( head );

	echo '
	<div class="hide">
	<div style="color: black;"><b><font color="red">Внимание:</font></b><br>
	Категорически запрещено создавать безсмысленые запросы. 
	<br>В противном случае ваш аккаунт будет заблокирован,
	без права на разблокировку!</div></div>
	<div class="touch">
	<form method="post">
	<input type="hidden" name="CK" value = "'.$user['CK'].'">
	Тема запроса [max. 50]:<br>
	<input type="text" class="input" name="name" maxlength="50" value=""><br>
	Описание запроса [max. 500]:<br>
	<textarea name="message" cols="38" rows="8"></textarea><br>
	Категория запроса:<br>
	<select name="cat">
	';

	# tkcat

	$query = DB :: $dbh -> query("SELECT id FROM tkcat ORDER BY id");	

	while ($act = $query -> fetch()):

	$act = cache_tkcat::check($act['id']);	

	echo '<option value="'.$act['id'].'">'.system::check($act['name']).'</option>';		

	endwhile;	

	echo '
	<br>
	<input name="CFMS" type="submit" value="Добавить запрос">
	</form>
	</div>
	<a href="'.site.'office/tk" class="touch">« Тикеты</a>
	<a href="'.site.'" class="touch">« На главную</a>
	';

	# foot

	require_once ( foot ) ;

?>